# $Revision: 1.20 $, $Date: 2008/07/27 22:37:01 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Template-Expr
Summary:	HTML::Template::Expr - HTML::Template extension adding expression support
Summary(pl.UTF-8):	HTML::Template::Expr - rozszerzenie HTML::Template dodające obsługę wyrażeń
Name:		perl-HTML-Template-Expr
Version:	0.07
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	717ea56c2244b6e2d26a0e477a4d069c
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-Template >= 2.4
BuildRequires:	perl-Parse-RecDescent
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an extension to HTML::Template which allows
expressions in the template syntax.  This is purely an addition - all
the normal HTML::Template options, syntax and behaviors will still
work. See HTML::Template for details.

%description -l pl.UTF-8
Ten moduł dostarcza rozszerzenie do HTML::Template, pozwalające na
używanie wyrażeń w składni szablonów. Jest to czysty dodatek -
wszystkie normalne opcje HTML::Template, składnia i zachowanie nadal
działa. Więcej szczegółów w HTML::Template.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/HTML/Template/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Template-Expr.spec,v $
Revision 1.20  2008/07/27 22:37:01  arekm
- release 2

Revision 1.19  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.17  2006/08/24 13:57:48  radek
- version 0.07

Revision 1.16  2004/11/03 22:30:26  paladine
- formatting

Revision 1.15  2004/05/07 01:09:21  ankry
- rel. 3

Revision 1.14  2004/05/06 18:09:42  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.12  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.11  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:41  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 19:36:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:33:18  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/08/31 18:04:21  radek
- version 0.04

Revision 1.2  2002/08/27 21:15:50  qboosh
- pl description

Revision 1.1  2002/08/27 10:31:32  radek
- new, STBR
